"""
Additional personal attributes

Revision ID: 3022a8ed311f
Revises: b561d9ec8af2
Create Date: 2020-04-20 16:18:12.809438

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "3022a8ed311f"
down_revision = "b561d9ec8af2"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "addresses",
        sa.Column("identifier", sa.Integer(), nullable=False),
        sa.Column("address", sa.String(), nullable=True),
        sa.Column("description", sa.String(), nullable=True),
        sa.Column("person_identifier", sa.String(), nullable=True),
        sa.ForeignKeyConstraint(["person_identifier"], ["people.identifier"],),
        sa.PrimaryKeyConstraint("identifier"),
    )
    op.create_table(
        "urls",
        sa.Column("identifier", sa.Integer(), nullable=False),
        sa.Column("url", sa.String(), nullable=True),
        sa.Column("description", sa.String(), nullable=True),
        sa.Column("person_identifier", sa.String(), nullable=True),
        sa.ForeignKeyConstraint(["person_identifier"], ["people.identifier"],),
        sa.PrimaryKeyConstraint("identifier"),
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table("urls")
    op.drop_table("addresses")
    # ### end Alembic commands ###
